﻿namespace HeuristicLab.Problems.ProgramSynthesis {
  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class FloatErcOptions : ErcOption<double> {

    public FloatErcOptions() { }

    public FloatErcOptions(params WeightedErcItem<double>[] values) : base(true, values) { }

    public FloatErcOptions(bool isEnabled, params WeightedErcItem<double>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    public FloatErcOptions(bool deserializing) : base(deserializing) { }

    public FloatErcOptions(FloatErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new FloatErcOptions(this, cloner);
    }

    public override string ToString() {
      return "Float";
    }
  }
}
